You need to enable JavaScript to run this app.
文档中心
火山方舟

火山方舟

复制全文
下载 pdf
向量化 API
多模态向量化 API
复制全文
下载 pdf
多模态向量化 API
POST https://ark.cn-beijing.volces.com/api/v3/embeddings/multimodal​
将视频、图像和文本转化为向量,用于以图搜图、语义检索、跨模态匹配等场景。​
鉴权​
本接口支持鉴权方式如下,详情请参见 Base URL 及鉴权。​
  • API Key 鉴权,请在 API Key 管理 页面,获取长效 API Key。​
​​
请求参数​
Body 参数​
input object[] 必选 | 输入内容​
​
model string 必选 | 模型 ID​
​
dimensions integer 默认值 2048 | 向量维度​
​
encoding_format string 默认值 float | 返回格式​
​
instructions string | 推理提示词​
​
multi_embedding object | 多向量配置​
​
sparse_embedding object | 稀疏向量开关​
​
​
响应参数​
created integer | 创建时间​
​
data object | 向量化结果​
​
id string | 请求 ID​
​
model string | 实际使用的模型​
​
object string | 对象类型​
​
usage object | token 用量​
​
​

Request

curl https://ark.cn-beijing.volces.com/api/v3/embeddings/multimodal \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $ARK_API_KEY" \
  -d $'{
    "model": "doubao-embedding-vision-251215",
    "encoding_format": "float",
    "input": [
        {
            "type": "video_url",
            "video_url": {
                "url": "https://ark-project.tos-cn-beijing.volces.com/doc_video/ark_vlm_video_input.mp4"
            }
        },
        {
            "type": "image_url",
            "image_url": {
                "url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/tower.png"
            }
        },
        {
            "type": "text",
            "text": "视频和图片里有什么"
        }
    ]
}'

Response

{
  "created": 1743575029,
  "data": {
    "embedding": [
      -0.123046875, -0.35546875, -0.318359375, ..., -0.255859375
    ],
    "object": "embedding"
  },
  "id": "021743575029461acbe49a31755bec77b2f09448eb15fa9a88e47",
  "model": "doubao-embedding-vision-251215",
  "object": "list",
  "usage": {
    "prompt_tokens": 13987,
    "prompt_tokens_details": {
      "image_tokens": 13800,
      "text_tokens": 187
    },
    "total_tokens": 13987
  }
}
最近更新时间:2026.09.09 19:08:06
这个页面对您有帮助吗?
有用
有用
无用
无用